# std::stack::emplace

From cppreference.com
< cpp‎ | container‎ | stack

template< class... Args > void emplace( Args&&... args ); |  | (since C++11) (until C++17)
template< class... Args > reference emplace( Args&&... args ); |  | (since C++17)

Pushes new element on top of the stack. The element is constructed in-place, i.e. no copy or move operations are performed. The constructor of the element is called with exactly the same arguments as supplied to the function.

Effectively calls return c.emplace_back(std::forward<Args>(args)...);

### Parameters

args | - | arguments to forward to the constructor of the element

### Return value

(none) | (until C++17)
A reference to the new element. | (since C++17)

### Complexity

Identical to the complexity of Container::emplace_back.

### See also

push | inserts element at the top (public member function)
pop | removes the top element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/stack/emplace&oldid=50668"